=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               libignition-cmake-dev,
               libignition-common-dev (>= 1.0.0),
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libgtest-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools1-1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
       libignition-common-dev (>= 1.0.0),
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev | libcurl-dev,
       libyaml-dev,
       libignition-fuel-tools1-1 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries
