=== debian/watch ===
version=3
opts=dversionmangle=s/$/+dfsg/ \
 http://gazebosim.org/distributions/ign-fuel-tools/releases/ .*ignition-fuel_tools-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
