=== debian/changelog ===
ignition-fuel-tools (1.0.0+dfsg4-4) unstable; urgency=medium

  * Fix problem with ign-tools support. Package it only in the -dev file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Mar 2018 01:33:45 +0000

ignition-fuel-tools (1.0.0+dfsg4-3) unstable; urgency=medium

  * Fix broken ign-tools support by including the modules into the packaging

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 19:01:37 +0000

ignition-fuel-tools (1.0.0+dfsg4-2) unstable; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Don't need parallel in dh anymore when using compat 11
  * Need to set CMAKE_BUILD_TYPE due to a bug in ign-cmake
  * Remove trailing whitespace
  * Rename packages to agree with policy about ABI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Feb 2018 16:51:24 -0800

ignition-fuel-tools (1.0.0+dfsg4-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg4
    (Closes: #889942)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 17 Feb 2018 03:00:47 +0000
