=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
        libignition-common-dev (>= 1.0.0),
        libzip-dev,
        libjsoncpp-dev,
-       libcurl4-openssl-dev | libcurl-dev,
+       libcurl4-openssl-dev,
        libyaml-dev,
        libignition-fuel-tools1-1 (= ${binary:Version}),
        ${misc:Depends}
