=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: get-orig-source \
        override_dh_auto_configure

# An issue in ign-cmake is preventing the configure step to
# be run with CMAKE_BUILD_TYPE as None in this moment.
# Temporary fix is to setup as RelWithDebInfo
override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
%:
	dh $@

# Upstream release page is generated dynamically taking long time
get-orig-source:
	uscan --timeout 90 --verbose --force-download --repack --compress xz
