## ignition-fuel-tools 4.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools1 VERSION 1.0.0)
+project(ignition-fuel_tools4 VERSION 4.1.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake0 REQUIRED)
+find_package(ignition-cmake2 REQUIRED)
 
 #============================================================================
 # Configure the project
@@ -20,11 +20,13 @@
 # Set project-specific options
 #============================================================================
 
-# ignition-fuel-tools currently has no options that are unique to it
-
 #============================================================================
 # Search for project-specific dependencies
 #============================================================================
+
+#--------------------------------------
+# Find Tinyxml2
+ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)
 
 #--------------------------------------
 # Find libcurl
@@ -44,7 +46,20 @@
 
 #--------------------------------------
 # Find ignition-common
-ign_find_package(ignition-common1 REQUIRED PRIVATE)
+ign_find_package(ignition-common3 REQUIRED PRIVATE)
+set(IGN_COMMON_MAJOR_VER ${ignition-common3_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-msgs
+ign_find_package(ignition-msgs5 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-msgs5_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-tools
+ign_find_package(ignition-tools QUIET)
+if (ignition-tools_FOUND)
+  set (HAVE_IGN_TOOLS TRUE)
+endif()
 
 #============================================================================
 # Configure the build
@@ -60,3 +75,16 @@
 # Create package information
 #============================================================================
 ign_create_packages()
+
+#============================================================================
+# Configure documentation
+#============================================================================
+configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
+configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)
+
+ign_create_docs(
+  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
+  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
+  TAGFILES
+   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
+  )
