=== include/ignition/fuel_tools/CMakeLists.txt ===
ign_install_all_headers(
  EXCLUDE_FILES
    WorldIterPrivate.hh
)
