=== debian/changelog ===
ignition-fuel-tools (4.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Disable tests with network access

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 13:02:41 +0200

ignition-fuel-tools (4.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest and add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:24:18 +0200

ignition-fuel-tools (4.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable tests on arch:all build

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 13:58:25 +0200

ignition-fuel-tools (4.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:35:09 +0200

ignition-fuel-tools (4.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  [ Jose Luis Rivero ]
  * Update standard version
  * Move pack options to watch file

  [ Jochen Sprickerhof ]
  * Update d/watch
  * New upstream version 4.1.0+dfsg
  * Rebase patches
  * Update copyright
  * Update package names (due to API change)
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 19:14:42 +0200

ignition-fuel-tools (1.2.0+dfsg-2) unstable; urgency=medium

  * Remove merged patch
  * Update dependency on ignition-common
  * Add patch to disable tests that use network

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 14:54:27 +0000

ignition-fuel-tools (1.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * New upstream version 1.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 10:51:12 +0000

ignition-fuel-tools (1.0.0+dfsg4-5) unstable; urgency=medium

  * Team upload.
  * Add alternative libcurl dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 18:28:02 +0200
