=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 12),
               libignition-common-dev (>= 3),
               libignition-msgs-dev (>= 5),
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libtinyxml2-dev,
               libyaml-dev,
               libgtest-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools4-4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools-dev
Architecture: any
Section: libdevel
Depends: libignition-common-dev (>= 3),
         libignition-cmake-dev (>= 2),
         libtinyxml2-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libyaml-dev,
         libzip-dev,
         libignition-msgs-dev (>= 5),
         libjsoncpp-dev,
         libignition-fuel-tools4-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Replaces: libignition-fuel-tools1-dev (<< 4.1.0+dfsg-1~)
Breaks: libignition-fuel-tools1-dev (<< 4.1.0+dfsg-1~)
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries

Package: libignition-fuel-tools1-dev
Depends: libignition-fuel-tools-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
