## ignition-fuel-tools 7.0.0%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 set (sources
   ClientConfig.cc
+  CollectionIdentifier.cc
   FuelClient.cc
+  Helpers.cc
   ign.cc
   Interface.cc
   JSONParser.cc
@@ -17,9 +19,11 @@
 
 set (gtest_sources
   ClientConfig_TEST.cc
+  CollectionIdentifier_TEST.cc
   FuelClient_TEST.cc
   ign_src_TEST.cc
   Interface_TEST.cc
+  Helpers_TEST.cc
   JSONParser_TEST.cc
   LocalCache_TEST.cc
   ModelIdentifier_TEST.cc
@@ -64,6 +68,7 @@
 ign_build_tests(TYPE UNIT
                 SOURCES ${gtest_sources}
                 LIB_DEPS
+                  ignition-cmake${IGN_CMAKE_VER}::utilities
                   ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
                   TINYXML2::TINYXML2
 )
