=== debian/changelog ===
ignition-fuel-tools (7.0.0+ds-3) unstable; urgency=medium

  * Ignore more tests that needs network
    (Closes: #1006024)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Feb 2022 16:25:07 +0000

ignition-fuel-tools (7.0.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:26:53 +0000

ignition-fuel-tools (7.0.0+ds-1) experimental; urgency=medium

  * New upstream version 7.0.0+ds
  * Migrate metadata to version 7 + update deps
  * Rediff patches
  * Update copyright
  * Suggest ignition-tools
  * Disable ign tools patch. Needs software installation
  * Improve autopkgtest with real example
  * Remove gitlab file
  * Update standards to 4.6.0
  * Use debhelper compat 13

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Nov 2021 18:38:56 +0000

ignition-fuel-tools (4.1.0+dfsg-6) unstable; urgency=medium

  * Patch failing test with duplicate / in string identifier
    (Closes: #997517)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Oct 2021 15:08:28 +0000
