## ignition-fuel-tools 7.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,19 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools4 VERSION 4.1.0)
+project(ignition-fuel_tools7 VERSION 7.0.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 REQUIRED)
+find_package(ignition-cmake2 2.8.0 REQUIRED)
+set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #============================================================================
 # Set project-specific options
@@ -30,7 +31,7 @@
 
 #--------------------------------------
 # Find libcurl
-ign_find_package(IgnCURL REQUIRED PRIVATE)
+ign_find_package(IgnCURL REQUIRED PRIVATE PRETTY curl)
 
 #--------------------------------------
 # Find jsoncpp
@@ -46,20 +47,22 @@
 
 #--------------------------------------
 # Find ignition-common
-ign_find_package(ignition-common3 REQUIRED PRIVATE)
-set(IGN_COMMON_MAJOR_VER ${ignition-common3_VERSION_MAJOR})
+ign_find_package(ignition-common4 REQUIRED PRIVATE)
+set(IGN_COMMON_MAJOR_VER ${ignition-common4_VERSION_MAJOR})
+
+#--------------------------------------
+# Find ignition-math
+ign_find_package(ignition-math6 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-math6_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs5 REQUIRED PRIVATE)
-set(IGN_MSGS_MAJOR_VER ${ignition-msgs5_VERSION_MAJOR})
+ign_find_package(ignition-msgs8 REQUIRED PRIVATE)
+set(IGN_MSGS_MAJOR_VER ${ignition-msgs8_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ignition-tools
-ign_find_package(ignition-tools QUIET)
-if (ignition-tools_FOUND)
-  set (HAVE_IGN_TOOLS TRUE)
-endif()
+find_program(HAVE_IGN_TOOLS ign)
 
 #============================================================================
 # Configure the build
