=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 
 # Find the Ignition Fuel Tools library
-find_package(ignition-fuel_tools4 QUIET REQUIRED)
+find_package(ignition-fuel_tools7 QUIET REQUIRED)
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-FUEL-TOOLS_CXX_FLAGS}")
 include_directories(
   ${IGNITION-COMMON_INCLUDE_DIRS}
