=== test/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,10 @@
 # Build gtest
 add_library(gtest STATIC gtest/src/gtest-all.cc)
 add_library(gtest_main STATIC gtest/src/gtest_main.cc)
-target_link_libraries(gtest_main gtest)
+target_link_libraries(
+  gtest_main gtest
+  ignition-cmake${IGN_CMAKE_VER}::utilities
+)
 set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
 set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")
