=== debian/control ===
Source: ignition-fuel-tools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libcurl4-openssl-dev | libcurl-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libignition-cmake-dev (>= 2.3.0),
               libignition-common-core-dev (>= 4),
               libignition-msgs-dev (>= 8),
               libtinyxml2-dev,
               libyaml-dev,
               libzip-dev,
               ignition-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-fuel-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-fuel-tools.git
Homepage: https://ignitionrobotics.org/libs/fuel_tools

Package: libignition-fuel-tools7-7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Shared library
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel libraries

Package: libignition-fuel-tools-dev
Architecture: any
Section: libdevel
Depends: libjsoncpp-dev,
         libignition-cmake-dev (>= 2.3.0),
         libignition-common-core-dev (>= 4),
         libignition-msgs-dev (>= 8),
         libcurl4-openssl-dev | libcurl-dev,
         libtinyxml2-dev,
         libyaml-dev,
         libzip-dev,
         libignition-fuel-tools7-7 (= ${binary:Version}),
         ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition fuel-tools classes and functions - Development files
 Ignition Fuel Tools is composed by a client library and command line
 tools for interacting with Ignition Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the ignition fuel development headers and libraries
