=== debian/tests/control ===
Tests: build
Depends: @, cmake, build-essential, libgflags-dev
